package ratRace.mvcInterfaces;

public interface ViewListenerI {
	/** The mouse has moved to this position.
	 * Note that the parameters are in world coordinates.
	 * @param i  The vertical position.
	 * @param j  The horizontal position.
	 */
	void mouseMovedTo(double i, double j) ;
	
	/** Some amount of time has passed. */
	void pulse() ;
	
	/** Start or restart the game. */
	void go() ;
	
	/** Pause the game. */
	void pause() ;
}